Manifest-Version: 1.0
Bnd-LastModified: 1711335358360
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Web
Bundle-SymbolicName: com.liferay.document.library.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.108.hotfix-8597-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="2.1",com.liferay.asset.display.page.port
 let;version="3.4",com.liferay.asset.display.page.service;version="2.5
 ",com.liferay.asset.info.display.field;version="1.0",com.liferay.asse
 t.info.item.provider;version="1.1",com.liferay.asset.kernel;version="
 1.1",com.liferay.asset.kernel.exception;version="2.0",com.liferay.ass
 et.kernel.model;version="3.5",com.liferay.asset.kernel.service;versio
 n="2.10",com.liferay.asset.kernel.service.persistence;version="3.5",c
 om.liferay.asset.util;version="1.4",com.liferay.bulk.selection;versio
 n="2.0",com.liferay.change.tracking.spi.display;version="1.2",com.lif
 eray.change.tracking.spi.display.context;version="1.0",com.liferay.da
 ta.engine.content.type;version="1.3",com.liferay.data.engine.field.ty
 pe.util;version="1.2",com.liferay.data.engine.rest.dto.v2_0;version="
 4.0",com.liferay.data.engine.rest.resource.exception;version="2.0",co
 m.liferay.data.engine.rest.resource.v2_0;version="7.0",com.liferay.da
 ta.engine.taglib.servlet.taglib.definition;version="1.4",com.liferay.
 depot.model;version="2.0",com.liferay.depot.service;version="1.7",com
 .liferay.document.library.configuration;version="1.3",com.liferay.doc
 ument.library.constants;version="1.2",com.liferay.document.library.di
 splay.context;version="2.5",com.liferay.document.library.kernel.antiv
 irus;version="2.0",com.liferay.document.library.kernel.document.conve
 rsion;version="1.0",com.liferay.document.library.kernel.exception;ver
 sion="3.1",com.liferay.document.library.kernel.model;version="3.2",co
 m.liferay.document.library.kernel.service;version="3.6",com.liferay.d
 ocument.library.kernel.store;version="2.1",com.liferay.document.libra
 ry.kernel.util;version="2.0",com.liferay.document.library.kernel.util
 .comparator;version="2.1",com.liferay.document.library.kernel.version
 ing;version="1.0",com.liferay.document.library.portlet.toolbar.contri
 butor;version="1.2",com.liferay.document.library.preview;version="1.1
 ",com.liferay.document.library.preview.exception;version="1.0",com.li
 feray.document.library.repository.authorization.capability;version="1
 .0",com.liferay.document.library.service;version="2.4",com.liferay.do
 cument.library.util;version="1.1",com.liferay.dynamic.data.lists.mode
 l;version="2.1",com.liferay.dynamic.data.lists.service;version="2.3",
 com.liferay.dynamic.data.mapping.exception;version="2.3",com.liferay.
 dynamic.data.mapping.form.values.factory;version="1.0",com.liferay.dy
 namic.data.mapping.info.display.field;version="1.0",com.liferay.dynam
 ic.data.mapping.info.item.provider;version="1.1",com.liferay.dynamic.
 data.mapping.kernel;version="1.4",com.liferay.dynamic.data.mapping.mo
 del;version="4.6",com.liferay.dynamic.data.mapping.security.permissio
 n;version="1.0",com.liferay.dynamic.data.mapping.service;version="3.9
 ",com.liferay.dynamic.data.mapping.storage;version="1.4",com.liferay.
 dynamic.data.mapping.util;version="2.9",com.liferay.dynamic.data.mapp
 ing.validator;version="1.4",com.liferay.expando.info.item.provider;ve
 rsion="1.0",com.liferay.expando.kernel.model;version="3.3",com.lifera
 y.exportimport.changeset;version="1.1",com.liferay.exportimport.chang
 eset.portlet.action;version="1.0",com.liferay.exportimport.kernel.lar
 ;version="3.4",com.liferay.exportimport.kernel.lifecycle;version="2.0
 ",com.liferay.exportimport.kernel.model;version="2.2",com.liferay.exp
 ortimport.kernel.staging;version="2.2",com.liferay.exportimport.portl
 et.preferences.processor;version="1.1",com.liferay.exportimport.stage
 d.model.repository;version="1.1",com.liferay.frontend.taglib.clay.ser
 vlet.taglib;version="3.1",com.liferay.frontend.taglib.clay.servlet.ta
 glib.display.context;version="1.5",com.liferay.frontend.taglib.clay.s
 ervlet.taglib.util;version="3.6",com.liferay.image.gallery.display.ke
 rnel.display.context;version="1.0",com.liferay.info.display.contribut
 or;version="2.3",com.liferay.info.display.contributor.field;version="
 1.1",com.liferay.info.display.field;version="1.0",com.liferay.info.di
 splay.url.provider;version="1.0",com.liferay.info.exception;version="
 1.1",com.liferay.info.field;version="1.1",com.liferay.info.field.type
 ;version="1.1",com.liferay.info.form;version="1.1",com.liferay.info.i
 tem;version="1.1",com.liferay.info.item.capability;version="1.0",com.
 liferay.info.item.field.reader;version="1.0",com.liferay.info.item.pr
 ovider;version="1.1",com.liferay.info.item.renderer;version="1.2",com
 .liferay.info.item.selector;version="1.2",com.liferay.info.list.rende
 rer;version="1.2",com.liferay.info.localized;version="1.1",com.lifera
 y.info.taglib.list.renderer;version="1.0",com.liferay.info.taglib.ser
 vlet.taglib;version="1.1",com.liferay.info.type;version="1.2",com.lif
 eray.item.selector;version="4.3",com.liferay.item.selector.criteria;v
 ersion="2.1",com.liferay.item.selector.criteria.file.criterion;versio
 n="1.0",com.liferay.layout.display.page;version="1.0",com.liferay.lay
 out.page.template.info.item.capability;version="1.0",com.liferay.layo
 ut.page.template.service;version="3.5",com.liferay.mobile.device.rule
 s.kernel;version="1.0",com.liferay.osgi.service.tracker.collections.l
 ist;version="2.0",com.liferay.osgi.service.tracker.collections.map;ve
 rsion="2.2",com.liferay.petra.function;version="1.4",com.liferay.petr
 a.io.unsync;version="1.0",com.liferay.petra.reflect;version="1.4",com
 .liferay.petra.sql.dsl.query;version="1.0",com.liferay.petra.string;v
 ersion="1.4",com.liferay.portal.configuration.metatype.annotations;ve
 rsion="1.3",com.liferay.portal.configuration.metatype.bnd.util;versio
 n="2.0",com.liferay.portal.kernel.annotation;version="7.0",com.lifera
 y.portal.kernel.application.type;version="1.0",com.liferay.portal.ker
 nel.atom;version="7.0",com.liferay.portal.kernel.bean;version="8.0",c
 om.liferay.portal.kernel.dao.orm;version="9.7",com.liferay.portal.ker
 nel.dao.search;version="8.0",com.liferay.portal.kernel.diff;version="
 1.0",com.liferay.portal.kernel.display.context.util;version="1.1",com
 .liferay.portal.kernel.exception;version="9.5",com.liferay.portal.ker
 nel.flash;version="6.2",com.liferay.portal.kernel.io.unsync;version="
 7.0",com.liferay.portal.kernel.json;version="8.10",com.liferay.portal
 .kernel.language;version="8.3",com.liferay.portal.kernel.lock;version
 ="7.3",com.liferay.portal.kernel.log;version="7.0",com.liferay.portal
 .kernel.messaging;version="9.1",com.liferay.portal.kernel.mobile.devi
 ce;version="9.0",com.liferay.portal.kernel.model;version="5.6",com.li
 feray.portal.kernel.model.portlet;version="2.0",com.liferay.portal.ke
 rnel.module.configuration;version="2.0",com.liferay.portal.kernel.mod
 ule.framework;version="1.4",com.liferay.portal.kernel.notifications;v
 ersion="8.0",com.liferay.portal.kernel.plugin;version="6.4",com.lifer
 ay.portal.kernel.poller;version="7.0",com.liferay.portal.kernel.pop;v
 ersion="6.3",com.liferay.portal.kernel.portlet;version="10.4",com.lif
 eray.portal.kernel.portlet.bridges.mvc;version="3.0",com.liferay.port
 al.kernel.portlet.bridges.mvc.constants;version="1.0",com.liferay.por
 tal.kernel.portlet.configuration.icon;version="1.1",com.liferay.porta
 l.kernel.portlet.toolbar.contributor;version="1.1",com.liferay.portal
 .kernel.portletdisplaytemplate;version="6.4",com.liferay.portal.kerne
 l.repository;version="9.1",com.liferay.portal.kernel.repository.capab
 ilities;version="2.0",com.liferay.portal.kernel.repository.event;vers
 ion="1.1",com.liferay.portal.kernel.repository.model;version="8.0",co
 m.liferay.portal.kernel.repository.registry;version="1.1",com.liferay
 .portal.kernel.resource.bundle;version="1.0",com.liferay.portal.kerne
 l.scheduler;version="9.1",com.liferay.portal.kernel.search;version="9
 .6",com.liferay.portal.kernel.security.auth;version="2.6",com.liferay
 .portal.kernel.security.permission;version="3.4",com.liferay.portal.k
 ernel.security.permission.propagator;version="1.0",com.liferay.portal
 .kernel.security.permission.resource;version="1.1",com.liferay.portal
 .kernel.service;version="4.16",com.liferay.portal.kernel.service.perm
 ission;version="2.0",com.liferay.portal.kernel.servlet;version="8.5",
 com.liferay.portal.kernel.servlet.taglib.ui;version="6.7",com.liferay
 .portal.kernel.settings;version="3.1",com.liferay.portal.kernel.strut
 s;version="8.0",com.liferay.portal.kernel.template;version="9.1",com.
 liferay.portal.kernel.theme;version="3.1",com.liferay.portal.kernel.t
 rash;version="9.0",com.liferay.portal.kernel.upgrade;version="8.5",co
 m.liferay.portal.kernel.upload;version="8.1",com.liferay.portal.kerne
 l.util;version="10.28",com.liferay.portal.kernel.view.count;version="
 1.1",com.liferay.portal.kernel.webdav;version="8.0",com.liferay.porta
 l.kernel.workflow;version="9.5",com.liferay.portal.kernel.xml;version
 ="7.0",com.liferay.portal.kernel.xmlrpc;version="6.2",com.liferay.por
 tal.kernel.zip;version="6.4",com.liferay.portal.repository.liferayrep
 ository.model,com.liferay.portal.repository.registry,com.liferay.port
 al.repository.util,com.liferay.portal.struts,com.liferay.portal.upgra
 de.registry;version="3.0",com.liferay.portal.upgrade.v7_0_0;version="
 3.2",com.liferay.portal.upload;version="2.1",com.liferay.portal.util;
 version="4.18",com.liferay.portal.webdav,com.liferay.portlet.asset.ut
 il.comparator,com.liferay.portlet.display.template;version="2.0",com.
 liferay.portlet.display.template.exportimport.portlet.preferences.pro
 cessor;version="1.0",com.liferay.portlet.documentlibrary;version="1.0
 ",com.liferay.portlet.documentlibrary.asset;version="1.0",com.liferay
 .portlet.documentlibrary.asset.model,com.liferay.portlet.documentlibr
 ary.constants,com.liferay.portlet.documentlibrary.store;version="3.1"
 ,com.liferay.portlet.documentlibrary.webdav,com.liferay.portlet.users
 admin.search;version="1.1",com.liferay.ratings.kernel;version="1.2",c
 om.liferay.ratings.kernel.definition;version="1.1",com.liferay.social
 .kernel.model;version="3.4",com.liferay.staging;version="1.1",com.lif
 eray.subscription.service;version="1.5",com.liferay.taglib.search;ver
 sion="2.0",com.liferay.taglib.security;version="8.0",com.liferay.tagl
 ib.servlet;version="2.0",com.liferay.taglib.util;version="9.1",com.li
 feray.trash;version="1.0",com.liferay.trash.kernel.util;version="1.0"
 ,com.liferay.trash.model;version="2.3",com.liferay.trash.service;vers
 ion="2.4",com.liferay.upload;version="1.1",javax.portlet,javax.portle
 t.annotations,javax.servlet,javax.servlet.http,javax.servlet.jsp;vers
 ion="2.3",org.apache.commons.fileupload;version="1.3",org.apache.comm
 ons.fileupload.disk;version="1.3",org.osgi.framework;version="1.8",or
 g.apache.xerces.parsers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/document_library/js/legacy/conf
 ig.js
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.document.library.web.display.context.depe
 ndencies,com.liferay.document.library.web.internal.application.list,c
 om.liferay.document.library.web.internal.asset.model,com.liferay.docu
 ment.library.web.internal.bulk.selection,com.liferay.document.library
 .web.internal.change.tracking.spi.display,com.liferay.document.librar
 y.web.internal.configuration,com.liferay.document.library.web.interna
 l.constants,com.liferay.document.library.web.internal.custom.attribut
 es,com.liferay.document.library.web.internal.dao.search,com.liferay.d
 ocument.library.web.internal.data.engine.content.type,com.liferay.doc
 ument.library.web.internal.display.context,com.liferay.document.libra
 ry.web.internal.display.context.logic,com.liferay.document.library.we
 b.internal.display.context.util,com.liferay.document.library.web.inte
 rnal.exportimport.lifecycle,com.liferay.document.library.web.internal
 .exportimport.portlet.preferences.processor,com.liferay.document.libr
 ary.web.internal.helper,com.liferay.document.library.web.internal.inf
 o.display.contributor,com.liferay.document.library.web.internal.info.
 display.contributor.field,com.liferay.document.library.web.internal.i
 nfo.display.contributor.portlet,com.liferay.document.library.web.inte
 rnal.info.display.url.provider,com.liferay.document.library.web.inter
 nal.info.item,com.liferay.document.library.web.internal.info.item.pro
 vider,com.liferay.document.library.web.internal.info.item.renderer,co
 m.liferay.document.library.web.internal.info.item.selector,com.lifera
 y.document.library.web.internal.info.list.renderer,com.liferay.docume
 nt.library.web.internal.lar,com.liferay.document.library.web.internal
 .layout.display.page,com.liferay.document.library.web.internal.messag
 ing,com.liferay.document.library.web.internal.notifications,com.lifer
 ay.document.library.web.internal.portlet,com.liferay.document.library
 .web.internal.portlet.action,com.liferay.document.library.web.interna
 l.portlet.configuration.icon,com.liferay.document.library.web.interna
 l.portlet.route,com.liferay.document.library.web.internal.portlet.too
 lbar.contributor,com.liferay.document.library.web.internal.portlet.to
 olbar.contributor.helper,com.liferay.document.library.web.internal.ra
 tings.definition,com.liferay.document.library.web.internal.search,com
 .liferay.document.library.web.internal.security.permission.resource,c
 om.liferay.document.library.web.internal.servlet.taglib.definition,co
 m.liferay.document.library.web.internal.settings,com.liferay.document
 .library.web.internal.social,com.liferay.document.library.web.interna
 l.struts,com.liferay.document.library.web.internal.template,com.lifer
 ay.document.library.web.internal.trash,com.liferay.document.library.w
 eb.internal.upgrade,com.liferay.document.library.web.internal.upgrade
 .v1_0_0,com.liferay.document.library.web.internal.upload,com.liferay.
 document.library.web.internal.util,com.liferay.document.library.web.i
 nternal.webdav,com.liferay.document.library.web.template.dependencies
 ,content,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=document-library
 -web;version:Version="5.0.108.hotfix-8597-7310",osgi.service;objectCl
 ass:List<String>="com.liferay.application.list.PanelApp";uses:="com.l
 iferay.application.list",osgi.service;objectClass:List<String>="com.l
 iferay.asset.kernel.model.AssetRendererFactory";uses:="com.liferay.as
 set.kernel.model",osgi.service;objectClass:List<String>="com.liferay.
 change.tracking.spi.display.CTDisplayRenderer";uses:="com.liferay.cha
 nge.tracking.spi.display",osgi.service;objectClass:List<String>="com.
 liferay.data.engine.content.type.DataDefinitionContentType";uses:="co
 m.liferay.data.engine.content.type",osgi.service;objectClass:List<Str
 ing>="com.liferay.data.engine.taglib.servlet.taglib.definition.DataLa
 youtBuilderDefinition";uses:="com.liferay.data.engine.taglib.servlet.
 taglib.definition",osgi.service;objectClass:List<String>="com.liferay
 .document.library.display.context.DLDisplayContextProvider";uses:="co
 m.liferay.document.library.display.context",osgi.service;objectClass:
 List<String>="com.liferay.document.library.portlet.toolbar.contributo
 r.DLPortletToolbarContributor,com.liferay.portal.kernel.portlet.toolb
 ar.contributor.PortletToolbarContributor";uses:="com.liferay.document
 .library.portlet.toolbar.contributor,com.liferay.portal.kernel.portle
 t.toolbar.contributor",osgi.service;objectClass:List<String>="com.lif
 eray.document.library.web.internal.configuration.FFDocumentLibraryDDM
 EditorConfigurationUtil";uses:="com.liferay.document.library.web.inte
 rnal.configuration",osgi.service;objectClass:List<String>="com.lifera
 y.document.library.web.internal.display.context.DLAdminDisplayContext
 Provider";uses:="com.liferay.document.library.web.internal.display.co
 ntext",osgi.service;objectClass:List<String>="com.liferay.document.li
 brary.web.internal.display.context.IGDisplayContextProvider";uses:="c
 om.liferay.document.library.web.internal.display.context",osgi.servic
 e;objectClass:List<String>="com.liferay.document.library.web.internal
 .exportimport.portlet.preferences.processor.DLCommentsAndRatingsExpor
 terImporterCapability,com.liferay.exportimport.portlet.preferences.pr
 ocessor.Capability";uses:="com.liferay.document.library.web.internal.
 exportimport.portlet.preferences.processor,com.liferay.exportimport.p
 ortlet.preferences.processor",osgi.service;objectClass:List<String>="
 com.liferay.document.library.web.internal.exportimport.portlet.prefer
 ences.processor.DLExportImportPortletPreferencesProcessor,com.liferay
 .exportimport.portlet.preferences.processor.ExportImportPortletPrefer
 encesProcessor";uses:="com.liferay.document.library.web.internal.expo
 rtimport.portlet.preferences.processor,com.liferay.exportimport.portl
 et.preferences.processor",osgi.service;objectClass:List<String>="com.
 liferay.document.library.web.internal.helper.DLTrashHelper";uses:="co
 m.liferay.document.library.web.internal.helper",osgi.service;objectCl
 ass:List<String>="com.liferay.document.library.web.internal.messaging
 .TempFileEntriesMessageListener";uses:="com.liferay.document.library.
 web.internal.messaging",osgi.service;objectClass:List<String>="com.li
 feray.document.library.web.internal.portlet.toolbar.contributor.DLPor
 tletToolbarContributorRegistry";uses:="com.liferay.document.library.w
 eb.internal.portlet.toolbar.contributor",osgi.service;objectClass:Lis
 t<String>="com.liferay.document.library.web.internal.portlet.toolbar.
 contributor.helper.DLPortletToolbarContributorHelper";uses:="com.life
 ray.document.library.web.internal.portlet.toolbar.contributor.helper"
 ,osgi.service;objectClass:List<String>="com.liferay.document.library.
 web.internal.upload.DLUploadFileEntryHandler";uses:="com.liferay.docu
 ment.library.web.internal.upload",osgi.service;objectClass:List<Strin
 g>="com.liferay.document.library.web.internal.upload.DLUploadResponse
 Handler";uses:="com.liferay.document.library.web.internal.upload",osg
 i.service;objectClass:List<String>="com.liferay.expando.kernel.model.
 CustomAttributesDisplay";uses:="com.liferay.expando.kernel.model",osg
 i.service;objectClass:List<String>="com.liferay.exportimport.kernel.l
 ar.PortletDataHandler";uses:="com.liferay.exportimport.kernel.lar",os
 gi.service;objectClass:List<String>="com.liferay.exportimport.kernel.
 lifecycle.ExportImportLifecycleListener";uses:="com.liferay.exportimp
 ort.kernel.lifecycle",osgi.service;objectClass:List<String>="com.life
 ray.exportimport.portlet.preferences.processor.ExportImportPortletPre
 ferencesProcessor";uses:="com.liferay.exportimport.portlet.preference
 s.processor",osgi.service;objectClass:List<String>="com.liferay.info.
 display.contributor.InfoDisplayContributor";uses:="com.liferay.info.d
 isplay.contributor",osgi.service;objectClass:List<String>="com.lifera
 y.info.display.contributor.field.InfoDisplayContributorField";uses:="
 com.liferay.info.display.contributor.field",osgi.service;objectClass:
 List<String>="com.liferay.info.display.url.provider.InfoEditURLProvid
 er";uses:="com.liferay.info.display.url.provider",osgi.service;object
 Class:List<String>="com.liferay.info.item.provider.InfoItemCapabiliti
 esProvider";uses:="com.liferay.info.item.provider",osgi.service;objec
 tClass:List<String>="com.liferay.info.item.provider.InfoItemDetailsPr
 ovider";uses:="com.liferay.info.item.provider",osgi.service;objectCla
 ss:List<String>="com.liferay.info.item.provider.InfoItemFieldValuesPr
 ovider";uses:="com.liferay.info.item.provider",osgi.service;objectCla
 ss:List<String>="com.liferay.info.item.provider.InfoItemFormProvider"
 ;uses:="com.liferay.info.item.provider",osgi.service;objectClass:List
 <String>="com.liferay.info.item.provider.InfoItemFormVariationsProvid
 er";uses:="com.liferay.info.item.provider",osgi.service;objectClass:L
 ist<String>="com.liferay.info.item.provider.InfoItemObjectProvider";u
 ses:="com.liferay.info.item.provider",osgi.service;objectClass:List<S
 tring>="com.liferay.info.item.provider.InfoItemPermissionProvider";us
 es:="com.liferay.info.item.provider",osgi.service;objectClass:List<St
 ring>="com.liferay.info.item.renderer.InfoItemRenderer";uses:="com.li
 feray.info.item.renderer",osgi.service;objectClass:List<String>="com.
 liferay.info.item.selector.InfoItemSelector";uses:="com.liferay.info.
 item.selector",osgi.service;objectClass:List<String>="com.liferay.inf
 o.list.renderer.InfoListRenderer";uses:="com.liferay.info.list.render
 er",osgi.service;objectClass:List<String>="com.liferay.layout.display
 .page.LayoutDisplayPageProvider";uses:="com.liferay.layout.display.pa
 ge",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 notifications.UserNotificationDefinition";uses:="com.liferay.portal.k
 ernel.notifications",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.notifications.UserNotificationHandler";uses:="com.li
 feray.portal.kernel.notifications",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.kernel.portlet.ConfigurationAction";uses:="co
 m.liferay.portal.kernel.portlet",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.portlet.EditPortletProvider,com.liferay.
 portal.kernel.portlet.ManagePortletProvider,com.liferay.portal.kernel
 .portlet.ViewPortletProvider";uses:="com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.portlet
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.po
 rtlet.EditPortletProvider,com.liferay.portal.kernel.portlet.ViewPortl
 etProvider";uses:="com.liferay.portal.kernel.portlet,com.liferay.port
 al.kernel.portlet",osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.portlet.FriendlyURLMapper";uses:="com.liferay.portal.k
 ernel.portlet",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.portlet.FriendlyURLResolver";uses:="com.liferay.portal.ker
 nel.portlet",osgi.service;objectClass:List<String>="com.liferay.porta
 l.kernel.portlet.PortletLayoutFinder";uses:="com.liferay.portal.kerne
 l.portlet",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.porta
 l.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="
 com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:
 ="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectC
 lass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCR
 esourceCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.por
 tlet.configuration.icon.PortletConfigurationIcon";uses:="com.liferay.
 portal.kernel.portlet.configuration.icon",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.portlet.toolbar.contributor.Por
 tletToolbarContributor";uses:="com.liferay.portal.kernel.portlet.tool
 bar.contributor",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.kernel.struts.StrutsAction";uses:="com.liferay.portal.kernel.st
 ruts",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.template.TemplateHandler";uses:="com.liferay.portal.kernel.template
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.tr
 ash.TrashRendererFactory";uses:="com.liferay.portal.kernel.trash",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.webdav.
 WebDAVStorage";uses:="com.liferay.portal.kernel.webdav",osgi.service;
 objectClass:List<String>="com.liferay.portal.upgrade.registry.Upgrade
 StepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.ser
 vice;objectClass:List<String>="com.liferay.portlet.display.template.e
 xportimport.portlet.preferences.processor.PortletDisplayTemplateRegis
 ter";uses:="com.liferay.portlet.display.template.exportimport.portlet
 .preferences.processor",osgi.service;objectClass:List<String>="com.li
 feray.ratings.kernel.definition.PortletRatingsDefinition";uses:="com.
 liferay.ratings.kernel.definition",osgi.service;objectClass:List<Stri
 ng>="com.liferay.social.kernel.model.SocialActivityInterpreter";uses:
 ="com.liferay.social.kernel.model",osgi.service;objectClass:List<Stri
 ng>="javax.portlet.Portlet";uses:="javax.portlet",liferay.resource.bu
 ndle;bundle.symbolic.name="com.liferay.document.library.web";resource
 .bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/data-engine)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/ddm))",osgi.extender;filter:="(&(osgi.extender=jsp.tagli
 b)(uri=http://liferay.com/tld/document-library))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/dynamic-s
 ection))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=htt
 p://liferay.com/tld/expando))",osgi.extender;filter:="(&(osgi.extende
 r=jsp.taglib)(uri=http://liferay.com/tld/export-import-changeset))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=jsp.tagl
 ib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filter:="(&(o
 sgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ratings))",osgi.e
 xtender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/
 tld/react))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=
 http://liferay.com/tld/security))",osgi.extender;filter:="(&(osgi.ext
 ender=jsp.taglib)(uri=http://liferay.com/tld/sharing))",osgi.extender
 ;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/the
 me))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://
 liferay.com/tld/trash))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.exten
 der;filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(versi
 on>=2.0.0)))",osgi.service;filter:="(objectClass=com.liferay.asset.di
 splay.page.portlet.AssetDisplayPageEntryFormProcessor)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.asset.display.pag
 e.portlet.AssetDisplayPageFriendlyURLProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.asset.display.page.servic
 e.AssetDisplayPageEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.asset.info.display.field.AssetEntry
 InfoDisplayFieldProvider)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.asset.info.item.provider.AssetEntryInfoItemFie
 ldSetProvider)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.asset.kernel.service.AssetCategoryLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel
 .service.AssetEntryLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.asset.kernel.service.AssetEntryService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.as
 set.kernel.service.AssetLinkLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetTagL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.asset.util.AssetHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.bulk.selection.BulkSelectionFactory)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.bulk
 .selection.BulkSelectionRunner)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.data.engine.rest.resource.v2_0.DataDefin
 itionResource$Factory)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.depot.service.DepotEntryLocalService)";effective:
 =active;resolution:=optional,osgi.service;filter:="(objectClass=com.l
 iferay.document.library.display.context.DLDisplayContextProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.display.context.DLMimeTypeDisplayContext)";effective:=acti
 ve;resolution:=optional,osgi.service;filter:="(objectClass=com.lifera
 y.document.library.kernel.service.DLAppLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.document.library.ke
 rnel.service.DLAppService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.document.library.kernel.service.DLFileEntryLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.document.library.kernel.service.DLFileEntryMetadataLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.document.library.kernel.service.DLFileEntryTypeLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.document.
 library.kernel.service.DLFileEntryTypeService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.s
 ervice.DLFileShortcutLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.service.DLFil
 eVersionLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.document.library.kernel.service.DLFolderLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.kernel.service.DLTrashService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.document.library.kernel
 .util.DLValidator)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.document.library.kernel.versioning.VersioningStrategy
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ocument.library.util.DLAssetHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.document.library.util.DLURLHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.docu
 ment.library.web.internal.display.context.DLAdminDisplayContextProvid
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.web.internal.display.context.IGDisplayContextProvid
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.web.internal.exportimport.portlet.preferences.proce
 ssor.DLCommentsAndRatingsExporterImporterCapability)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.document.library.we
 b.internal.exportimport.portlet.preferences.processor.DLExportImportP
 ortletPreferencesProcessor)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.document.library.web.internal.helper.DLTrash
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.document.library.web.internal.portlet.toolbar.contributor.DLPort
 letToolbarContributorRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.document.library.web.internal.portlet.too
 lbar.contributor.helper.DLPortletToolbarContributorHelper)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.document.libr
 ary.web.internal.upload.DLUploadFileEntryHandler)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.document.library.web.i
 nternal.upload.DLUploadResponseHandler)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.lists.service.DDLRe
 cordSetLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.dynamic.data.mapping.form.values.factory.DDMFormVal
 uesFactory)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.info.display.field.DDMFormValuesInfoDis
 playFieldProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.info.item.provider.DDMFormValues
 InfoFieldValuesProvider)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.dynamic.data.mapping.info.item.provider.DDMStru
 ctureInfoItemFieldSetProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.dynamic.data.mapping.info.item.provider.D
 DMTemplateInfoItemFieldSetProvider)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.security.permis
 sion.DDMPermissionSupport)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.dynamic.data.mapping.service.DDMStorageLinkLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.service.DDMStructureLinkLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.service.DDMStructureLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.
 service.DDMStructureService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.dynamic.data.mapping.service.DDMTemplateSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.storage.StorageEngine)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.util
 .DDM)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.util.DDMBeanTranslator)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.uti
 l.DDMFormValuesToMapConverter)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.expando.info.item.provider.ExpandoInfoIte
 mFieldSetProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.exportimport.changeset.portlet.action.ExportImportCha
 ngesetMVCActionCommand)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.exportimport.kernel.lar.ExportImportHelper)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.exporti
 mport.kernel.lar.PortletDataHandler)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.exportimport.kernel.staging.Staging
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.e
 xportimport.portlet.preferences.processor.Capability)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.info.display.contr
 ibutor.InfoDisplayContributorTracker)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.info.display.field.ClassTypesInfoD
 isplayFieldProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.info.display.field.ExpandoInfoDisplayFieldProvider)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.in
 fo.display.field.InfoDisplayFieldProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.info.display.url.provider.Inf
 oEditURLProviderTracker)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.info.item.InfoItemServiceTracker)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.info.item.field.
 reader.InfoItemFieldReaderFieldSetProvider)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.info.item.renderer.InfoItemR
 endererTracker)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.item.selector.ItemSelector)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorUploa
 dResponseHandler)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.layout.display.page.LayoutDisplayPageProviderTracker)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.lay
 out.page.template.info.item.capability.DisplayPageInfoItemCapability)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.la
 yout.page.template.service.LayoutPageTemplateEntryService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .language.Language)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.model.Portlet)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.model.Releas
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.module.framework.ModuleServiceLifecycle)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.por
 tlet.PortletLayoutFinder)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.repository.RepositoryProvider)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.resource.bundle.ResourceBundleLoader)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.scheduler.
 SchedulerEngineHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.scheduler.TriggerFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.security.permission.resource.ModelResourcePermission)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 curity.permission.resource.PortletResourcePermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.CompanyLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.GroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.LayoutLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.RepositoryLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.RepositoryService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.UserL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.settings.SettingsFactory)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Htt
 p)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.util.Portal)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.trash.TrashHelper)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.trash.service.TrashEntryServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .upload.UniqueFileNameProvider)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.upload.UploadHandler)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.upload.UploadResponse
 Handler)";effective:=active,osgi.service;filter:="(objectClass=javax.
 servlet.ServletContext)";effective:=active,osgi.contract;osgi.contrac
 t=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))"
 ,osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=Ja
 vaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(versi
 on=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.web.internal.
 application.list.DocumentLibraryPanelApp.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.asset.model.DLFileEntryAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.document.library.web.internal.asset.model.
 DLFolderAssetRendererFactory.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.bulk.selection.BulkSelectionRunnerUtil.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.change.tracking.spi.display.D
 LFileEntryCTDisplayRenderer.xml,OSGI-INF/com.liferay.document.library
 .web.internal.change.tracking.spi.display.DLFileEntryTypeCTDisplayRen
 derer.xml,OSGI-INF/com.liferay.document.library.web.internal.change.t
 racking.spi.display.DLFileVersionCTDisplayRenderer.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.change.tracking.spi.display.DLFo
 lderCTDisplayRenderer.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.configuration.FFDocumentLibraryDDMEditorConfigurationUtil.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.custom.attributes
 .DLFileEntryCustomAttributesDisplay.xml,OSGI-INF/com.liferay.document
 .library.web.internal.custom.attributes.DLFolderCustomAttributesDispl
 ay.xml,OSGI-INF/com.liferay.document.library.web.internal.data.engine
 .content.type.DLDataDefinitionContentType.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.display.context.DLAdminDisplayContextProv
 ider.xml,OSGI-INF/com.liferay.document.library.web.internal.display.c
 ontext.DLDisplayContextProviderImpl.xml,OSGI-INF/com.liferay.document
 .library.web.internal.display.context.IGDisplayContextProvider.xml,OS
 GI-INF/com.liferay.document.library.web.internal.exportimport.lifecyc
 le.CascadeFileEntryTypesExportImportLifecycleListener.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.exportimport.portlet.preferen
 ces.processor.DLCommentsAndRatingsExporterImporterCapability.xml,OSGI
 -INF/com.liferay.document.library.web.internal.exportimport.portlet.p
 references.processor.DLExportImportPortletPreferencesProcessor.xml,OS
 GI-INF/com.liferay.document.library.web.internal.exportimport.portlet
 .preferences.processor.IGDisplayExportImportPortletPreferencesProcess
 or.xml,OSGI-INF/com.liferay.document.library.web.internal.exportimpor
 t.portlet.preferences.processor.IGDisplayPortletDisplayTemplateExport
 Capability.xml,OSGI-INF/com.liferay.document.library.web.internal.exp
 ortimport.portlet.preferences.processor.IGDisplayPortletDisplayTempla
 teImportCapability.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.helper.DLTrashHelper.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.info.display.contributor.FileEntryInfoDisplayContributor.
 xml,OSGI-INF/com.liferay.document.library.web.internal.info.display.c
 ontributor.field.FileEntryAuthorNameInfoDisplayContributorField.xml,O
 SGI-INF/com.liferay.document.library.web.internal.info.display.contri
 butor.field.FileEntryAuthorProfileImageInfoDisplayContributorField.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.info.display.con
 tributor.field.FileEntryDescriptionInfoDisplayContributorField.xml,OS
 GI-INF/com.liferay.document.library.web.internal.info.display.contrib
 utor.field.FileEntryDownloadURLInfoDisplayContributorField.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.info.display.contributor
 .field.FileEntryFileNameInfoDisplayContributorField.xml,OSGI-INF/com.
 liferay.document.library.web.internal.info.display.contributor.field.
 FileEntryFileURLInfoDisplayContributorField.xml,OSGI-INF/com.liferay.
 document.library.web.internal.info.display.contributor.field.FileEntr
 yMimeTypeInfoDisplayContributorField.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.info.display.contributor.field.FileEntryPrevie
 wImageInfoDisplayContributorField.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.info.display.contributor.field.FileEntryPublishDa
 teInfoDisplayContributorField.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.info.display.contributor.field.FileEntrySizeInfoDispl
 ayContributorField.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.info.display.contributor.field.FileEntryTitleInfoDisplayContribu
 torField.xml,OSGI-INF/com.liferay.document.library.web.internal.info.
 display.contributor.field.FileEntryVersionInfoDisplayContributorField
 .xml,OSGI-INF/com.liferay.document.library.web.internal.info.display.
 contributor.portlet.DLFileEntryAssetDisplayPageFriendlyURLResolver.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.info.display.url
 .provider.FileEntryAssetInfoEditURLProvider.xml,OSGI-INF/com.liferay.
 document.library.web.internal.info.item.provider.FileEntryInfoItemCap
 abilitiesProvider.xml,OSGI-INF/com.liferay.document.library.web.inter
 nal.info.item.provider.FileEntryInfoItemDetailsProvider.xml,OSGI-INF/
 com.liferay.document.library.web.internal.info.item.provider.FileEntr
 yInfoItemFieldValuesProvider.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.info.item.provider.FileEntryInfoItemFormProvider.xml,O
 SGI-INF/com.liferay.document.library.web.internal.info.item.provider.
 FileEntryInfoItemFormVariationsProvider.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.info.item.provider.FileEntryInfoItemObjectP
 rovider.xml,OSGI-INF/com.liferay.document.library.web.internal.info.i
 tem.provider.FileEntryInfoItemPermissionProvider.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.info.item.renderer.FileEntryAbstra
 ctInfoItemRenderer.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.info.item.renderer.FileEntryTitleInfoItemRenderer.xml,OSGI-INF/c
 om.liferay.document.library.web.internal.info.item.selector.DLFileEnt
 ryInfoItemSelector.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.info.list.renderer.BorderedFileEntryBasicListInfoListRenderer.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.info.list.render
 er.BulletedFileEntryBasicListInfoListRenderer.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.info.list.renderer.InlineFileEntryBas
 icListInfoListRenderer.xml,OSGI-INF/com.liferay.document.library.web.
 internal.info.list.renderer.NumberedFileEntryBasicListInfoListRendere
 r.xml,OSGI-INF/com.liferay.document.library.web.internal.info.list.re
 nderer.UnstyledFileEntryBasicListInfoListRenderer.xml,OSGI-INF/com.li
 feray.document.library.web.internal.lar.DLAdminPortletDataHandler.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.lar.DLPortletData
 Handler.xml,OSGI-INF/com.liferay.document.library.web.internal.lar.IG
 DisplayPortletDataHandler.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.layout.display.page.FileEntryLayoutDisplayPageProvider.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.messaging.TempFi
 leEntriesMessageListener.xml,OSGI-INF/com.liferay.document.library.we
 b.internal.notifications.DLAddEntryUserNotificationDefinition.xml,OSG
 I-INF/com.liferay.document.library.web.internal.notifications.DLUpdat
 eEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.notifications.DLUserNotificationHandler.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.portlet.DLAdminEditPortl
 etProvider.xml,OSGI-INF/com.liferay.document.library.web.internal.por
 tlet.DLAdminPortlet.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.portlet.DLEditPortletProvider.xml,OSGI-INF/com.liferay.document
 .library.web.internal.portlet.DLPortlet.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.portlet.DLPortletLayoutFinder.xml,OSGI-INF/
 com.liferay.document.library.web.internal.portlet.IGDisplayPortlet.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.A
 ddDDMStructureMVCActionCommand.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.portlet.action.AddDataDefinitionMVCActionCommand.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.Co
 mpareVersionsMVCRenderCommand.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.portlet.action.CopyDDMStructureMVCActionCommand.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.action.Copy
 DataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.portlet.action.DLAdminConfigurationAction.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.portlet.action.DLConfigu
 rationAction.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.action.DLViewMVCRenderCommand.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.portlet.action.DeleteDDMStructureMVCActionComm
 and.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.ac
 tion.DeleteDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.portlet.action.DownloadEntriesMVCResource
 Command.xml,OSGI-INF/com.liferay.document.library.web.internal.portle
 t.action.EditDDMStructureMVCRenderCommand.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.portlet.action.EditEntryMVCActionCommand.
 xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.action
 .EditFileEntryMVCActionCommand.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.portlet.action.EditFileEntryMVCRenderCommand.xml,OSG
 I-INF/com.liferay.document.library.web.internal.portlet.action.EditFi
 leEntryTypeDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.portlet.action.EditFileEntryTypeDataDefin
 itionMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.portlet.action.EditFileEntryTypeMVCActionCommand.xml,OSGI-INF
 /com.liferay.document.library.web.internal.portlet.action.EditFileEnt
 ryTypeMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.
 internal.portlet.action.EditFileShortcutMVCActionCommand.xml,OSGI-INF
 /com.liferay.document.library.web.internal.portlet.action.EditFileSho
 rtcutMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.portlet.action.EditFolderMVCActionCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.EditFolderMVCRende
 rCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.portl
 et.action.EditRepositoryMVCActionCommand.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.portlet.action.EditRepositoryMVCRenderComm
 and.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.ac
 tion.GetFileMVCActionCommand.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.action.IGDisplayConfigurationAction.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.portlet.action.IGDisplay
 ViewMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.in
 ternal.portlet.action.InfoPanelMVCResourceCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.PublishFileEntryMV
 CActionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal
 .portlet.action.PublishFileShortcutMVCActionCommand.xml,OSGI-INF/com.
 liferay.document.library.web.internal.portlet.action.PublishFolderMVC
 ActionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.
 portlet.action.SearchMVCRenderCommand.xml,OSGI-INF/com.liferay.docume
 nt.library.web.internal.portlet.action.SelectFileEntryMVCRenderComman
 d.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.acti
 on.SelectFileVersionMVCRenderCommand.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.portlet.action.SelectFolderMVCRenderCommand.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.S
 ubscribeFileEntryTypeMVCActionCommand.xml,OSGI-INF/com.liferay.docume
 nt.library.web.internal.portlet.action.UnsubscribeFileEntryTypeMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.por
 tlet.action.UpdateDDMStructureMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.portlet.action.UpdateDataDefinitionM
 VCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.UploadFileEntryMVCActionCommand.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.portlet.action.UploadMultipleFileE
 ntriesMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.
 internal.portlet.action.UploadMultipleFileEntriesMVCResourceCommand.x
 ml,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.
 ViewFileEntryMVCRenderCommand.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.portlet.action.ViewSlideShowMVCRenderCommand.xml,OSGI
 -INF/com.liferay.document.library.web.internal.portlet.configuration.
 icon.AccessFromDesktopPortletConfigurationIcon.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.portlet.configuration.icon.DeleteExp
 iredTemporaryFileEntriesPortletConfigurationIcon.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.portlet.configuration.icon.DeleteF
 olderPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.portlet.configuration.icon.DownloadFolderPortletConfi
 gurationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.configuration.icon.EditFolderPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.document.library.web.internal.portlet.configuration.
 icon.FileEntryPermissionPortletConfigurationIcon.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.portlet.configuration.icon.FolderP
 ermissionPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.portlet.configuration.icon.MoveFolderPortletConfi
 gurationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.configuration.icon.PermissionsPortletConfigurationIcon.xml,OSG
 I-INF/com.liferay.document.library.web.internal.portlet.configuration
 .icon.RepositoryPermissionPortletConfigurationIcon.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.portlet.route.DLFriendlyURLMappe
 r.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.rout
 e.IGFriendlyURLMapper.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.portlet.toolbar.contributor.DLPortletToolbarContributorRegist
 ry.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.too
 lbar.contributor.DefaultDLPortletToolbarContributor.xml,OSGI-INF/com.
 liferay.document.library.web.internal.portlet.toolbar.contributor.IGP
 ortletToolbarContributor.xml,OSGI-INF/com.liferay.document.library.we
 b.internal.portlet.toolbar.contributor.helper.DLPortletToolbarContrib
 utorHelper.xml,OSGI-INF/com.liferay.document.library.web.internal.rat
 ings.definition.DLPortletRatingsDefinition.xml,OSGI-INF/com.liferay.d
 ocument.library.web.internal.security.permission.resource.DDMStructur
 ePermission.xml,OSGI-INF/com.liferay.document.library.web.internal.se
 curity.permission.resource.DLFileEntryPermission.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.security.permission.resource.DLFil
 eEntryTypePermission.xml,OSGI-INF/com.liferay.document.library.web.in
 ternal.security.permission.resource.DLFileShortcutPermission.xml,OSGI
 -INF/com.liferay.document.library.web.internal.security.permission.re
 source.DLFolderPermission.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.security.permission.resource.DLPermission.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.servlet.taglib.definition.Doc
 umentLibraryDataLayoutBuilderDefinition.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.social.DLFileEntryActivityInterpreter.xml,O
 SGI-INF/com.liferay.document.library.web.internal.social.DLFolderActi
 vityInterpreter.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.struts.FindFileEntryStrutsAction.xml,OSGI-INF/com.liferay.document.
 library.web.internal.struts.FindFolderStrutsAction.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.struts.GetFileStrutsAction.xml,O
 SGI-INF/com.liferay.document.library.web.internal.template.IGPortletD
 isplayTemplateHandler.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.trash.DLFileShortcutTrashRendererFactory.xml,OSGI-INF/com.lif
 eray.document.library.web.internal.upgrade.DLWebUpgrade.xml,OSGI-INF/
 com.liferay.document.library.web.internal.upload.DLUploadFileEntryHan
 dler.xml,OSGI-INF/com.liferay.document.library.web.internal.upload.DL
 UploadResponseHandler.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.util.DLAssetHelperUtil.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.util.DLWebComponentProvider.xml,OSGI-INF/com.liferay
 .document.library.web.internal.webdav.DLWebDAVStorageImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /document-library-web

